import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PhoneOrderComponent } from './phone-order/phone-order.component';
import {SystemRoutingModule} from '../system/system-routing.module';
import {NgZorroAntdModule} from '_ng-zorro-antd@9.3.0@ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '_@angular_forms@9.0.7@@angular/forms';
import {NgxNeditorModule} from '_@notadd_ngx-neditor@1.0.2@@notadd/ngx-neditor';
import {RichtextModule} from '../../common/richtext/richtext.module';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {RegionSelectorModule} from '../../common/region-selector/region-selector.module';
import {NgxEchartsModule} from '_ngx-echarts@4.2.2@ngx-echarts';
import {IndexRoutingModule} from '../index/index-routing.module';
import {AppCommonModule} from '../../app-common.module';
import {NzSpaceModule} from '_ng-zorro-antd@9.3.0@ng-zorro-antd/space';
import {ApiOrderRoutingModule} from './api-order-routing.module';
import { ListComponent } from './starbucks-order/list/list.component';
import { KfcOrderComponent } from './kfc-order/kfc-order.component';
import { VipTopUpOrderComponent } from './vip-top-up-order/vip-top-up-order.component';



@NgModule({
  declarations: [PhoneOrderComponent, ListComponent, KfcOrderComponent, VipTopUpOrderComponent],
  imports: [
    CommonModule,
      ApiOrderRoutingModule,
      NgZorroAntdModule,
      FormsModule,
      ReactiveFormsModule,
      NgxNeditorModule,
      RichtextModule,
      BreadcrumbModule,
      RegionSelectorModule,
      NgxEchartsModule,
      IndexRoutingModule,
      AppCommonModule,
      NzSpaceModule
  ]
})
export class ApiOrderModule { }
